

 /*
Two SONXUN SX8847 Test with Arduino Mega 2560 R3
*/

//Functions used on h bridge pcbs.
int oneen = 12;             // enable MOTOR 1
int onedir = 11;            // direction MOTOR 1
int onepwm = 10;           // pulse width MOTOR modulation 1
int onedi = 9;             // disable MOTOR 1
int twoen = 8;             // enable MOTOR 2
int twodir = 7;            // direction MOTOR 2
int twopwm = 6;           // pulse width modulation MOTOR 2
int twodi = 5;             // disable MOTOR 2

// the setup routine runs once when you press reset:
void setup() 
{
  // initialize the digital pins.
  pinMode(onedir, OUTPUT);
  pinMode(onepwm, OUTPUT);
  pinMode(oneen, OUTPUT);
  pinMode(onedi, OUTPUT);
  pinMode(twodir, OUTPUT);
  pinMode(twopwm, OUTPUT);
  pinMode(twoen, OUTPUT);
  pinMode(twodi, OUTPUT);
}

// the loop routine runs over and over again forever:
void loop() { 
  //turn all low
  digitalWrite(oneen, LOW);   // part 1, h bridge activation 1
  digitalWrite(onedi, LOW);   // part no disable 1 
  digitalWrite(onedir, LOW);   // high turns forwards, low is reverse 1
  digitalWrite(onepwm, LOW);   // high runs motor (if h bridge is on) 1
  digitalWrite(twoen, LOW);   // part 1, h bridge activation 2
  digitalWrite(twodi, LOW);   // part no disable 2
  digitalWrite(twodir, LOW);   // high turns forwards, low is reverse 2
  digitalWrite(twopwm, LOW);   // high runs motor (if h bridge is on) 2
  delay(1000);
 
// onedir high, onepwm low, works clockwise
  digitalWrite(oneen, HIGH);   // part 1, h bridge enable 1
  digitalWrite(onedi, LOW);   // part 2, h bridge no disable 1
  digitalWrite(onedir, LOW);   // high turns anticlockwise, low is clockwise 1
  digitalWrite(onepwm, HIGH);   // high runs motor (if h bridge is activen) 1
  digitalWrite(twoen, HIGH);   // part 1, h bridge enable 2
  digitalWrite(twodi, LOW);   // part 2, h bridge no disable 2
  digitalWrite(twodir, LOW);   // high turns anticlockwise, low is clockwise 2
  digitalWrite(twopwm, HIGH);   // high runs motor (if h bridge is activen) 2
  delay(4000); 

//turn all low (motor off)
  digitalWrite(oneen, LOW);   
  digitalWrite(onedi, LOW);   
  digitalWrite(onedir, LOW);   
  digitalWrite(onepwm, LOW);   
  digitalWrite(twoen, LOW);   
  digitalWrite(twodi, LOW);   
  digitalWrite(twodir, LOW);   
  digitalWrite(twopwm, LOW);
  delay(1000);
 
 
  //onedir high, onepwm high, works anticlockwise
  digitalWrite(oneen, HIGH);   // part 1, h bridge activation 1
  digitalWrite(onedi, LOW);   // part 2, h bridge no disable 1
  digitalWrite(onedir, HIGH);   // high turns anticlockwise, low is clockwise 1
  digitalWrite(onepwm, HIGH);   // high runs motor (if h bridge is on) 1
  digitalWrite(twoen, HIGH);   // part 1, h bridge activation 2
  digitalWrite(twodi, LOW);   // part 2, h bridge no disable 2 
  digitalWrite(twodir, HIGH);   // high turns anticlockwise, low is clockwise 2
  digitalWrite(twopwm, HIGH);   // high runs motor (if h bridge is on) 2
  delay(4000);               // wait for 1 second

//turn all low (motor off)
  digitalWrite(oneen, LOW);   // part 1, h bridge activation 1
  digitalWrite(onedi, LOW);   // part no disable 1
  digitalWrite(onedir, LOW);   // high turns forwards, low is reverse 1
  digitalWrite(onepwm, LOW);   // high runs motor (if h bridge is on) 1
  digitalWrite(twoen, LOW);   // part 1, h bridge activation
  digitalWrite(twodi, LOW);   // part no disable
  digitalWrite(twodir, LOW);   // high turns forwards, low is reverse
  digitalWrite(twopwm, LOW);   // high runs motor (if h bridge is on)
  delay(1000);
}
